## geos 3.5.0

=== CMakeLists.txt ===
#################################################################################
#
# Main GEOS build configuration file for CMake build system
#
# Copyright (C) 2009 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation. 
# See the COPYING file for more information.
#
#################################################################################
project(geos)
cmake_minimum_required(VERSION 2.6)

if(NOT CMAKE_VERSION)
    set(CMAKE_VERSION
      "${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION}")
endif()

# Location of custom CMake modules with macros used by GEOS
set(CMAKE_MODULE_PATH "${geos_SOURCE_DIR}/cmake/modules")

#################################################################################
# Setup GEOS version
#################################################################################

# GEOS release version
# GEOS C++ library SONAME will use these encoding ABI break at every release
set(VERSION_MAJOR 3)
set(VERSION_MINOR 5)
set(VERSION_PATCH 0)
set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")

# JTS_PORT is the version of JTS this release is bound to
set(JTS_PORT 1.13.0)
message(STATUS "Setting GEOS version ${VERSION} as port of JTS ${JTS_PORT}")

# GEOS C API version
set(CAPI_INTERFACE_CURRENT 10)
set(CAPI_INTERFACE_REVISION 0)
set(CAPI_INTERFACE_AGE 9)

math(EXPR CAPI_VERSION_MAJOR "${CAPI_INTERFACE_CURRENT} - ${CAPI_INTERFACE_AGE}")
set(CAPI_VERSION_MINOR ${CAPI_INTERFACE_AGE})
set(CAPI_VERSION_PATCH ${CAPI_INTERFACE_REVISION})
set(CAPI_VERSION "${CAPI_VERSION_MAJOR}.${CAPI_VERSION_MINOR}.${CAPI_VERSION_PATCH}")
message(STATUS "Setting GEOS C API version ${CAPI_VERSION}")
if (NOT WIN32)
  set(CAPI_SOVERSION ${CAPI_VERSION_MAJOR})
  message(STATUS "Setting GEOS C API soversion ${CAPI_SOVERSION}")
endif()

#################################################################################
# Check custom global options
#################################################################################

option(GEOS_ENABLE_TESTS
  "Set to OFF|ON (default) to control build of GEOS tests package" ON)

option(GEOS_ENABLE_INLINE
  "Set to OFF|ON (default) to control GEOS compilation with small functions inlining" ON)

if(NOT MSVC)
  option(GEOS_ENABLE_ASSERT
    "Set to ON|OFF (default) to build GEOS with assert() macro enabled" OFF) 
endif()

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
  option(GEOS_ENABLE_FLOATSTORE
    "Set to OFF|ON (default) to control IEEE754 conformance and remove extra precision" ON)
endif()

if(APPLE)
  option(GEOS_ENABLE_MACOSX_FRAMEWORK
    "Set to ON|OFF (default) to build GEOS as a Mac OS X framework" OFF)
  option(GEOS_ENABLE_MACOSX_FRAMEWORK_UNIXCOMPAT
    "Set to ON|OFF (default) to add Unix compatibility to the Mac OS X framework" OFF)
endif()

#################################################################################
# Setup C/C++ compiler options
#################################################################################

if(NOT MSVC_IDE)
  if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Debug CACHE STRING
      "Choose the type of build, options are: None Debug Release" FORCE)
  endif()
  message(STATUS "Setting GEOS build type - ${CMAKE_BUILD_TYPE}")
endif()

if(CMAKE_BUILD_TYPE STREQUAL Debug)
  add_definitions(-D_DEBUG)
endif()

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)

  # General options
  set(CMAKE_CXX_FLAGS "-pedantic -ansi ${CMAKE_CXX_FLAGS}")

  # Numerical stability
  if(GEOS_ENABLE_FLOATSTORE)
    # Remove extra precision by forcing conformance to IEEE 754 rather than IEEE 854
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ffloat-store")
  endif()
  message(STATUS
    "Forcing IEEE 754 using flag -ffloat-store - ${GEOS_ENABLE_FLOATSTORE}")

  # Warnings specification
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-long-long")

  # Turn on Position Independent Code generation for GEOS C shared library
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")

  # Enable glibc ISO C99 features (macros isfinite, isnan)
  set(CMAKE_REQUIRED_DEFINITIONS "${CMAKE_REQUIRED_DEFINITIONS} -D_ISOC99_SOURCE=1")

elseif(MSVC)
    
  # Set pedantic mode by default
  #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
  string(REGEX REPLACE "/W[0-9]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")

  if(MSVC80 OR MSVC90 OR MSVC10 OR MSVC11 OR MSVC12 OR MSVC13)

    # Option is to enable the /MP switch for Visual Studio 2005 or later
    option(GEOS_MSVC_ENABLE_MP
      "Set to ON to build GEOS with the /MP option (Visual Studio 2005 and above)." ON)
    mark_as_advanced(GEOS_MSVC_ENABLE_MP)
    if(GEOS_MSVC_ENABLE_MP)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
    endif()
    message(STATUS "Setting Visual Studio 2005+ option /MP to ${GEOS_MSVC_ENABLE_MP}")
    
    add_definitions(-D_SCL_SECURE_NO_WARNINGS)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
    add_definitions(-DNOMINMAX)
  endif()

endif()

if(GEOS_ENABLE_INLINE)
  add_definitions(-DGEOS_INLINE)
endif()
message(STATUS
  "Setting GEOS compilation with small functions inlining - ${GEOS_ENABLE_INLINE}")

if(NOT MSVC)
  if(GEOS_ENABLE_ASSERT)
    string(REGEX REPLACE "[-/]D.*NDEBUG" "-U NDEBUG"
      CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE}")
  endif()
  message(STATUS
    "Setting GEOS compilation with assert() macro enabled - ${GEOS_ENABLE_ASSERT}")
endif()

#################################################################################
# Setup C/C++ library features
#################################################################################

# check header files
include(CheckIncludeFiles)

check_include_files(stdint.h HAVE_STDINT_H)
check_include_files(inttypes.h HAVE_INTTYPES_H)
check_include_files(ieeefp.h HAVE_IEEEFP_H)

# check types and sizes
include(CheckTypeSize)

if(MSVC)
  check_type_size("__int64" HAVE_INT64_T_64)
else()
  if(HAVE_STDINT_H OR HAVE_INTTYPES_H)
    check_type_size("int64_t" HAVE_INT64_T_64)
  else()
    check_type_size("long long int" HAVE_LONG_LONG_INT_64)
  endif()
endif()

# check functions and macros
include(CheckPrototypeExists)
include(CheckSymbolExists)

check_prototype_exists(isnan cmath HAVE_STD_ISNAN)
if(NOT HAVE_STD_ISNAN)
  if(MSVC)
    check_prototype_exists(_isnan float.h HAVE_ISNAN)
  elseif(APPLE)
    check_prototype_exists(__isnand math.h HAVE_ISNAND_XCODE)
    if(NOT HAVE_ISNAND_XCODE)
      check_prototype_exists(__inline_isnand math.h HAVE_INLINE_ISNAND_XCODE)
    endif()
  else()
    check_symbol_exists(isnan math.h HAVE_ISNAN)
  endif()
endif()

check_prototype_exists(isfinite cmath HAVE_STD_ISFINITE)

if(NOT HAVE_STD_ISFINITE)
  if(MSVC)
    check_prototype_exists(_finite float.h HAVE_FINITE)
  else()
    #CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
    check_symbol_exists(isfinite math.h HAVE_ISFINITE)
  endif()
endif()

################################################################################
# Setup build directories
#################################################################################

# Put the libaries and binaries that get built into directories at the
# top of the build tree rather than in hard-to-find leaf
# directories. This simplifies manual testing and the use of the build
# tree rather than installed Boost libraries.
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

################################################################################
# Setup include directories
#################################################################################

# for including GEOS C++ API headers
include_directories(${geos_SOURCE_DIR}/include)

# for including build-specific GEOS C API headers
include_directories(${geos_BINARY_DIR}/capi)

# for including build-specific version.h, platform.h and geos_c.h
include_directories(${geos_BINARY_DIR}/include)

#################################################################################
# Setup checks and generate config headers
#################################################################################

#################################################################################
#  MACRO: GET_SVN_REVISION
#  
#  DESCRIPTION:
#      MACRO FOR GETTING THE SVN revision for this build
#################################################################################
MACRO (GET_SVN_REVISION)
   FIND_PACKAGE(Subversion)
   IF(SUBVERSION_FOUND)
      Subversion_WC_INFO(${PROJECT_SOURCE_DIR} Project)
      # MESSAGE("Current revision is ${Project_WC_REVISION}")
      # Subversion_WC_LOG(${PROJECT_SOURCE_DIR} Project)
      # MESSAGE("Last changed log is ${Project_LAST_CHANGED_LOG}")
   ENDIF()
ENDMACRO(GET_SVN_REVISION)

# Determine SVN/Git revision
if(EXISTS "${CMAKE_SOURCE_DIR}/.svn")
  GET_SVN_REVISION()
endif()
if ( NOT ${Project_WC_REVISION} EQUAL 0 )
   set( GEOS_SVN_REVISION ${Project_WC_REVISION} )
   configure_file ( 
      "${PROJECT_SOURCE_DIR}/tools/geos_svn_revision_cmake.h.in"
      "${PROJECT_SOURCE_DIR}/geos_svn_revision.h" )
      # "${geos_BINARY_DIR}/include/geos_svn_revision.h" )
else()
   message(STATUS "Generating revision header ${CMAKE_SOURCE_DIR}/geos_svn_revision.h")
   find_program(SH sh)
   if(SH)
      execute_process(COMMAND ${SH} -c 
      "cd ${CMAKE_SOURCE_DIR} && ${CMAKE_SOURCE_DIR}/tools/svn_repo_revision.sh")

      file(RENAME "${CMAKE_SOURCE_DIR}/geos_svn_revision.h"
      "${CMAKE_BINARY_DIR}/geos_svn_revision.h")
   else()
      message("*** sh-compatible command not found, cannot create geos_svn_revision.h")
      message("*** Check SVN revision and create revision header manually:")
      message("*** echo '#define GEOS_SVN_REVISION XYZ' > ${CMAKE_SOURCE_DIR}/geos_svn_revision.h")
   endif()
endif()
# End: Determine SVN/Git revision

if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/include/geos/platform.h)
  message(STATUS "Disabling existing ${CMAKE_CURRENT_SOURCE_DIR}/include/geos/platform.h")

  if(${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} EQUAL 6)
    file(REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/include/geos/platform.h)
    set(PH_RESULT "removed")
  else()
    file(RENAME
      ${CMAKE_CURRENT_SOURCE_DIR}/include/geos/platform.h
      ${CMAKE_CURRENT_SOURCE_DIR}/include/geos/platform.h.disabled)
      set(PH_RESULT "renamed")
  endif()

  message(STATUS "Disabling existing ${CMAKE_CURRENT_SOURCE_DIR}/include/geos/platform.h - ${PH_RESULT}")
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/include/geos/platform.h.cmake 
  ${CMAKE_CURRENT_BINARY_DIR}/include/geos/platform.h)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/include/geos/version.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/include/geos/version.h @ONLY)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/capi/geos_c.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/capi/geos_c.h @ONLY)

#################################################################################
# Configure tests
#################################################################################

if(GEOS_ENABLE_TESTS)

 # Include CTest support
 include(CTest)
 enable_testing()

  # Define "make check" as alias for "make test"
  add_custom_target(check COMMAND ctest)

endif()

#################################################################################
# Configure subdirectories
#################################################################################
include(GenerateSourceGroups)

add_subdirectory(include)
add_subdirectory(src)
add_subdirectory(capi)
add_subdirectory(tests)
add_subdirectory(tools)

#################################################################################
# Install/Uninstall
#################################################################################

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"

=== src/CMakeLists.txt ===
#################################################################################
#
# GEOS C++ library build configuration for CMake build system
#
# Copyright (C) 2009 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation. 
# See the COPYING file for more information.
#
#################################################################################

file(GLOB_RECURSE geos_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
file(GLOB_RECURSE geos_ALL_HEADERS ${CMAKE_SOURCE_DIR}/include/*.h) # fix source_group issue

if(GEOS_ENABLE_MACOSX_FRAMEWORK)
  # OS X frameworks don't have static libs
  # also 1 binary, so include CAPI here
  # and, make name all caps

  set(geos_c_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/../capi/geos_c.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../capi/geos_ts_c.cpp)

  add_library(GEOS SHARED ${geos_SOURCES} ${geos_c_SOURCES})

  math(EXPR CVERSION "${VERSION_MAJOR} + 1") 
 	# VERSION = current version, SOVERSION = compatibility version 
  set_target_properties(GEOS
    PROPERTIES
    CLEAN_DIRECT_OUTPUT 1
    FRAMEWORK 1
    VERSION "${CVERSION}.${VERSION_MINOR}.${VERSION_PATCH}" 
 	  SOVERSION ${CVERSION} 
    FRAMEWORK_VERSION ${VERSION_MAJOR}
    BUILD_WITH_INSTALL_RPATH TRUE
    INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}"
    MACOSX_FRAMEWORK_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.in"
    MACOSX_FRAMEWORK_BUNDLE_VERSION "GEOS ${VERSION}"
    MACOSX_FRAMEWORK_SHORT_VERSION_STRING ${VERSION}
    MACOSX_FRAMEWORK_IDENTIFIER org.osgeo.geos)

  install(TARGETS GEOS FRAMEWORK DESTINATION .)

  if(GEOS_ENABLE_MACOSX_FRAMEWORK_UNIXCOMPAT)
    # Unix compatibility option, provides typical bin/lib/include folder
    # structure for framework-challenged projects

    set(GEOS_FWDIR "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/GEOS.framework")
    set(GEOS_FWDIR_VER "${GEOS_FWDIR}/Versions/${VERSION_MAJOR}")
    install(CODE "execute_process(COMMAND mkdir -p \"${GEOS_FWDIR_VER}/unix/bin\")")
    install(CODE "execute_process(COMMAND mkdir -p \"${GEOS_FWDIR_VER}/unix/include\")")
    install(CODE "execute_process(COMMAND mkdir -p \"${GEOS_FWDIR_VER}/unix/lib\")")
    install(CODE "execute_process(COMMAND ln -sfh ../../Headers \"${GEOS_FWDIR_VER}/unix/include/geos\")")
    install(CODE "execute_process(COMMAND ln -sf ../../Headers/geos_c.h \"${GEOS_FWDIR_VER}/unix/include/geos_c.h\")")
    install(CODE "execute_process(COMMAND ln -sf ../../GEOS \"${GEOS_FWDIR_VER}/unix/lib/libgeos.dylib\")")
    install(CODE "execute_process(COMMAND ln -sf ../../GEOS \"${GEOS_FWDIR_VER}/unix/lib/libgeos_c.dylib\")")
    install(CODE "execute_process(COMMAND ln -sfh Versions/Current/unix \"${GEOS_FWDIR}/unix\")")
  endif()

else()

  add_library(geos SHARED ${geos_SOURCES} ${geos_ALL_HEADERS})
  add_library(geos-static STATIC ${geos_SOURCES} ${geos_ALL_HEADERS})

  set_target_properties(geos
    PROPERTIES
    DEFINE_SYMBOL GEOS_DLL_EXPORT
    VERSION ${VERSION}
    CLEAN_DIRECT_OUTPUT 1)

  set_target_properties(geos-static
    PROPERTIES
    OUTPUT_NAME "geos"
    PREFIX "lib"
    CLEAN_DIRECT_OUTPUT 1)

endif()

# if(APPLE)
#   set_target_properties(geos
#     PROPERTIES
#     BUILD_WITH_INSTALL_RPATH TRUE
#     INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}")
# endif()

#################################################################################
# Installation
#################################################################################

if(NOT GEOS_ENABLE_MACOSX_FRAMEWORK)
  install(TARGETS geos geos-static
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib
    ARCHIVE DESTINATION lib)
endif()

#################################################################################
# Group source files for IDE source explorers (e.g. Visual Studio)
#################################################################################
GenerateSourceGroups(src)

=== tools/CMakeLists.txt ===
#################################################################################
#
# GEOS tools (geos-config) build configuration for CMake build system
#
# Copyright (C) 2009 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation. 
# See the COPYING file for more information.
#
#################################################################################

if(UNIX)

  if(APPLE AND GEOS_ENABLE_MACOSX_FRAMEWORK AND GEOS_ENABLE_MACOSX_FRAMEWORK_UNIXCOMPAT)
    set(installdest GEOS.framework/Versions/${VERSION_MAJOR}/unix/bin)
    set(prefix ${CMAKE_INSTALL_PREFIX}/GEOS.framework/Versions/${VERSION_MAJOR}/unix)
  elseif(APPLE AND GEOS_ENABLE_MACOSX_FRAMEWORK)
    # just a dummy so installdest not set
    # want geos-config only for Mac unix build or framework+unixcompat
  else()
    set(installdest bin)
    set(prefix ${CMAKE_INSTALL_PREFIX})
  endif()

  set(exec_prefix ${prefix}/bin)
  set(libdir ${prefix}/lib)
  
  if(installdest)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/geos-config.in
                   ${CMAKE_CURRENT_BINARY_DIR}/geos-config @ONLY)
  
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/geos-config
      DESTINATION ${installdest}
      PERMISSIONS
      OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
endif()

endif()

=== debian/changelog ===
geos (3.5.0-4) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Add patch to fix isnan() detection in configure.
  * Add patch to use std::isnan() in platform.h too.
    (closes: #831177)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 Jul 2016 12:11:04 +0200

geos (3.5.0-3) unstable; urgency=medium

  * Disable PHP support, SWIG doesn't support PHP 7 yet.
  * Add patch to fix spelling errors.
  * Enable all hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Mar 2016 13:26:06 +0100

geos (3.5.0-2) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Update upstream URLs to use HTTPS.
  * Add dependency on php5-common to php5-geos for php5enmod.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Mar 2016 21:34:23 +0100

geos (3.5.0-1) unstable; urgency=medium

  * Move from experimental to unstable.
  * Update Vcs-Browser URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 27 Aug 2015 15:29:22 +0200

geos (3.5.0-1~exp2) experimental; urgency=medium

  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 20 Aug 2015 10:52:14 +0200

geos (3.5.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop libgeos-ruby1.8 transitional package.
  * Bump debhelper compatibility to 9.
  * Update copyright file, changes:
    - Group copyright holders by license
    - Drop .0 from GPL license shortname
    - Update license & copyright for new & modified files
  * Only clean generated libgeos++-dev.install.
  * Drop patches applied upstream, refresh remaining patches.
  * Enable verbose test output.
  * Ignore test failures on all architectures, to not fail the entire
    build.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Aug 2015 14:56:09 +0200

geos (3.4.2-8~exp3) experimental; urgency=medium

  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 15 Aug 2015 11:52:06 +0200

geos (3.4.2-8~exp2) experimental; urgency=medium

  * Update symbols for other architectures.
  * Use multi-line uscan options, force lowercase RC in uversionmangle.
  * Fix Breaks/Replaces version for experimental pre-releases.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 Aug 2015 12:35:52 +0200

geos (3.4.2-8~exp1) experimental; urgency=medium

  * Sync control & control.in to not lose libjs-jquery dependency.
  * Append v5 to library package names for GCC 5 transition.
  * Update symbols for amd64.
  * Use dh_install --list-missing.
  * Explicitly remove .la files, not installed.
  * Explicitly remove static library for Ruby, not installed.
  * Explicitly remove geos.h & .inl files, not installed.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Aug 2015 20:08:03 +0200

geos (3.4.2-7) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.
  * Use jquery.js from libjs-jquery instead of doxygen copy.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Apr 2015 10:14:34 +0200

geos (3.4.2-7~exp1) experimental; urgency=medium

  * Add upstream metadata.
  * Update my email to @debian.org address.
  * Use pkgkde-gensymbols & pkgkde-symbolshelper to handle C++ symbols.
  * Add patch to disable HTML timestamps in Doxygen to allow
    reproducible builds.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Bump Standards-Version to 3.9.6, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Feb 2015 18:22:00 +0100

=== debian/control ===
Source: geos
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
#               dh-php,
               doxygen,
               swig,
               ruby,
               ruby-all-dev,
#               php-dev,
#               phpunit,
               chrpath,
               dh-autoreconf,
               pkg-kde-tools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/geos.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/geos.git
Homepage: https://trac.osgeo.org/geos/

Package: libgeos-dev
Architecture: any
Section: libdevel
Depends: libgeos-c1v5 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libgdal-doc
Description: Geometry engine for GIS - Development files
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL. 
 .
 This package contains the headers and libraries needed to 
 develop programs using GEOS.

Package: libgeos++-dev
Architecture: any
Section: libdevel
Depends: libgeos-3.5.0 (= ${binary:Version}),
         libgeos-dev,
         ${misc:Depends}
Suggests: libgdal-doc
Breaks: libgeos-dev (<< 3.3.1-1~)
Description: Geometry engine for GIS - C++ development files
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL. 
 .
 This package contains the headers and libraries needed to 
 develop programs using GEOS in C++. Note that third-parties
 programs should use the stable C API instead of the 
 unstable C++ one.

Package: libgeos-c1v5
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libgeos-c1 (<< 3.4.2-8~)
Replaces: libgeos-c1 (<< 3.4.2-8~)
Description: Geometry engine for Geographic Information Systems - C Library
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 Functions provided include:
 .
   * spatial predicates (based on the DE-9IM model),
   * overlay functions (intersection, difference, union,
     symmetric difference),
   * buffer,
   * convex hull,
   * area and distance functions, and
   * topological validity checking
 .
 This package contains the C library. A C++ library is provided
 by the libgeos-* package.

Package: libgeos-3.5.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Geometry engine for Geographic Information Systems - C++ Library
 GEOS provides a spatial object model and fundamental geometric 
 functions. It implements the geometry model defined in the 
 OpenGIS Consortium Simple Features Specification for SQL. 
 Functions provided include:
 .
   * spatial predicates (based on the DE-9IM model),
   * overlay functions (intersection, difference, union, 
     symmetric difference),
   * buffer,
   * convex hull,
   * area and distance functions, and
   * topological validity checking
 .
 This package contains the C++ library. A stable C library is provided
 by the libgeos-c* package and should be preferred by third-parties
 programs.

Package: libgeos-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Suggests: libgeos-dev (= ${binary:Version})
Description: Documentation for the GEOS GIS geometry engine library
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 .
 This package contains the documentation for the GEOS API.

Package: ruby-geos
Architecture: any
Section: ruby
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libgeos-ruby1.8 (<< 3.4.2-2~)
Provides: libgeos-ruby1.8
Replaces: libgeos-ruby1.8 (<< 3.4.2-2~)
Description: GEOS bindings for Ruby
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 .
 This package contains the Ruby bindings for GEOS.

#Package: php-geos
#Architecture: any
#Section: web
#Depends: ${shlibs:Depends},
#         ${misc:Depends}
#Description: GEOS bindings for PHP
# GEOS provides a spatial object model and fundamental geometric
# functions. It implements the geometry model defined in the
# OpenGIS Consortium Simple Features Specification for SQL.
# .
# This package contains the PHP bindings for GEOS.

Package: libgeos-dbg
Architecture: any
Section: debug
Priority: extra
Pre-Depends: ${misc:Pre-Depends}
Depends: libgeos-3.5.0 (= ${binary:Version}),
         libgeos-c1v5 (= ${binary:Version}),
         ${misc:Depends}
Description: Debugging symbols for the GEOS library
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 .
 This package contains the debugging symbols for C/C++ GEOS library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Verbose test output
export VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# testrunner fails on some architectures
DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

#PHPAPI=$(shell php-config --phpapi)

# Guessing geos version, which is required for C++ binding support
VER_MAJOR=$(shell grep ^VERSION_MAJOR configure.*|cut -d= -f2)
VER_MINOR=$(shell grep ^VERSION_MINOR configure.*|cut -d= -f2)
VER_PATCH=$(shell grep ^VERSION_PATCH configure.*|cut -d= -f2|cut -dr -f1)
VER=$(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)

ifeq (..,$(VER))
$(error configure.ac/configure.in not found or version cannot be guessed)
else
$(info Guessed geos version is $(VER))
endif

CXX = g++ -fpermissive

# catch both armel and armhf 
ifneq (,$(findstring arm-linux-gnueabi,$(DEB_HOST_GNU_TYPE)))
       CONFFLAGS += --disable-inline
endif

debian/control: 
	@sed -e 's/@VERSION@/$(VER)/' debian/control.in >$@

%:
	dh $@ --with autoreconf,pkgkde_symbolshelper --parallel

override_dh_clean:
	dh_clean debian/libgeos++-dev.install

override_dh_auto_configure: debian/control
	dh_auto_configure -- \
		--host=$(DEB_HOST_GNU_TYPE) \
        	--build=$(DEB_BUILD_GNU_TYPE) \
        	--enable-ruby \
        	--disable-php \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		$(CONFFLAGS) \
		CXX="$(CXX)" \
		$(shell dpkg-buildflags --export=configure)

override_dh_auto_build-arch:
	dh_auto_build --arch

override_dh_auto_build-indep:
	$(MAKE) -C doc doxygen-html

override_dh_auto_test:
	dh_auto_test || echo "Ignoring test failures"

override_dh_install-arch:
	# add C++ headers to C++ dev package install file
	cp debian/libgeos++-dev.install.in debian/libgeos++-dev.install
	find debian/tmp/usr/include/geos -name "*.h" -a ! -name "export.h" | sed -e 's/^debian\/tmp\///' >>debian/libgeos++-dev.install

	# Don't install geos.h & .inl files
	rm -f debian/tmp/usr/include/geos.h
	find debian/tmp/usr/include/geos -name "*.inl" -delete

	# install PHP module to version specific directory
	#echo 'misc:Depends=phpapi-'$(PHPAPI) >> debian/php-geos.substvars

	# TODO: Use dh_php to install geos.ini
	#-mkdir -p debian/tmp/etc/php/7.0/mods-available/
	#install -m644 debian/geos.ini debian/tmp/etc/php/7.0/mods-available/

	# Strip RPATH
	#chrpath --delete debian/tmp/usr/lib/php/*/geos.so

	# Remove .la files
	find debian/tmp/usr/lib -name '*.la' -delete

	# Remove static library for Ruby
	rm -f debian/tmp/usr/lib/*/ruby/*/*/*.a

	dh_install --same-arch --list-missing

	# remove the library from the -dev package
	rm -f $(CURDIR)/debian/libgeos-dev/usr/lib/*/libgeos-*.so

override_dh_install-indep:
	dh_install -i

	# Install doxygen html files
	install -m 644 doc/doxygen_docs/html/* debian/libgeos-doc/usr/share/doc/libgeos-doc/html

	# Install example program source
	install -m 644 doc/example.cpp debian/libgeos-doc/usr/share/doc/libgeos-doc/examples
	install -m 644 debian/Makefile.example debian/libgeos-doc/usr/share/doc/libgeos-doc/examples/Makefile

	# Remove embedded jquery.js in favor of libjs-jquery
	rm -f debian/libgeos-doc/usr/share/doc/libgeos-doc/html/jquery.js

override_dh_installman:
	dh_installman -plibgeos-dev debian/geos-config.1

override_dh_strip:
	dh_strip --dbg-package=libgeos-dbg

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(VER) -c0

## geos 3.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # See the COPYING file for more information.
 #
 #################################################################################
-project(geos)
+project(GEOS)
 cmake_minimum_required(VERSION 2.6)
 
 if(NOT CMAKE_VERSION)
@@ -19,7 +19,7 @@
 endif()
 
 # Location of custom CMake modules with macros used by GEOS
-set(CMAKE_MODULE_PATH "${geos_SOURCE_DIR}/cmake/modules")
+set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/modules")
 
 #################################################################################
 # Setup GEOS version
@@ -29,7 +29,7 @@
 # GEOS C++ library SONAME will use these encoding ABI break at every release
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 5)
-set(VERSION_PATCH 0)
+set(VERSION_PATCH 1)
 set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 
 # JTS_PORT is the version of JTS this release is bound to
@@ -38,7 +38,7 @@
 
 # GEOS C API version
 set(CAPI_INTERFACE_CURRENT 10)
-set(CAPI_INTERFACE_REVISION 0)
+set(CAPI_INTERFACE_REVISION 1)
 set(CAPI_INTERFACE_AGE 9)
 
 math(EXPR CAPI_VERSION_MAJOR "${CAPI_INTERFACE_CURRENT} - ${CAPI_INTERFACE_AGE}")
@@ -63,7 +63,7 @@
 
 if(NOT MSVC)
   option(GEOS_ENABLE_ASSERT
-    "Set to ON|OFF (default) to build GEOS with assert() macro enabled" OFF) 
+    "Set to ON|OFF (default) to build GEOS with assert() macro enabled" OFF)
 endif()
 
 if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
@@ -117,12 +117,12 @@
   set(CMAKE_REQUIRED_DEFINITIONS "${CMAKE_REQUIRED_DEFINITIONS} -D_ISOC99_SOURCE=1")
 
 elseif(MSVC)
-    
+
   # Set pedantic mode by default
   #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
   string(REGEX REPLACE "/W[0-9]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
 
-  if(MSVC80 OR MSVC90 OR MSVC10 OR MSVC11 OR MSVC12 OR MSVC13)
+  if(NOT (MSVC_VERSION LESS 1400)) # Visual Studio 2005 or later
 
     # Option is to enable the /MP switch for Visual Studio 2005 or later
     option(GEOS_MSVC_ENABLE_MP
@@ -132,7 +132,7 @@
       set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
     endif()
     message(STATUS "Setting Visual Studio 2005+ option /MP to ${GEOS_MSVC_ENABLE_MP}")
-    
+
     add_definitions(-D_SCL_SECURE_NO_WARNINGS)
     add_definitions(-D_CRT_SECURE_NO_WARNINGS)
     add_definitions(-DNOMINMAX)
@@ -225,13 +225,13 @@
 #################################################################################
 
 # for including GEOS C++ API headers
-include_directories(${geos_SOURCE_DIR}/include)
+include_directories(${PROJECT_SOURCE_DIR}/include)
 
 # for including build-specific GEOS C API headers
-include_directories(${geos_BINARY_DIR}/capi)
+include_directories(${PROJECT_BINARY_DIR}/capi)
 
 # for including build-specific version.h, platform.h and geos_c.h
-include_directories(${geos_BINARY_DIR}/include)
+include_directories(${PROJECT_BINARY_DIR}/include)
 
 #################################################################################
 # Setup checks and generate config headers
@@ -239,7 +239,7 @@
 
 #################################################################################
 #  MACRO: GET_SVN_REVISION
-#  
+#
 #  DESCRIPTION:
 #      MACRO FOR GETTING THE SVN revision for this build
 #################################################################################
@@ -254,70 +254,74 @@
 ENDMACRO(GET_SVN_REVISION)
 
 # Determine SVN/Git revision
-if(EXISTS "${CMAKE_SOURCE_DIR}/.svn")
+set(GEOS_BUILD_PACKAGED TRUE)
+if(EXISTS "${PROJECT_SOURCE_DIR}/.svn")
+  set(GEOS_BUILD_PACKAGED FALSE)
   GET_SVN_REVISION()
-endif()
-if ( NOT ${Project_WC_REVISION} EQUAL 0 )
-   set( GEOS_SVN_REVISION ${Project_WC_REVISION} )
-   configure_file ( 
-      "${PROJECT_SOURCE_DIR}/tools/geos_svn_revision_cmake.h.in"
-      "${PROJECT_SOURCE_DIR}/geos_svn_revision.h" )
-      # "${geos_BINARY_DIR}/include/geos_svn_revision.h" )
-else()
-   message(STATUS "Generating revision header ${CMAKE_SOURCE_DIR}/geos_svn_revision.h")
-   find_program(SH sh)
-   if(SH)
-      execute_process(COMMAND ${SH} -c 
-      "cd ${CMAKE_SOURCE_DIR} && ${CMAKE_SOURCE_DIR}/tools/svn_repo_revision.sh")
-
-      file(RENAME "${CMAKE_SOURCE_DIR}/geos_svn_revision.h"
-      "${CMAKE_BINARY_DIR}/geos_svn_revision.h")
-   else()
-      message("*** sh-compatible command not found, cannot create geos_svn_revision.h")
-      message("*** Check SVN revision and create revision header manually:")
-      message("*** echo '#define GEOS_SVN_REVISION XYZ' > ${CMAKE_SOURCE_DIR}/geos_svn_revision.h")
-   endif()
+elseif(EXISTS "${PROJECT_SOURCE_DIR}/.git")
+  set(GEOS_BUILD_PACKAGED FALSE)
+endif()
+
+if (NOT GEOS_BUILD_PACKAGED)
+  message(STATUS "Generating GEOS revision header in ${PROJECT_BINARY_DIR}/geos_svn_revision.h")
+  if ( NOT ${Project_WC_REVISION} EQUAL 0 )
+     set( GEOS_SVN_REVISION ${Project_WC_REVISION} )
+     configure_file (
+        "${PROJECT_SOURCE_DIR}/tools/geos_svn_revision_cmake.h.in"
+        "${PROJECT_BINARY_DIR}/geos_svn_revision.h" )
+  else()
+     find_program(SH sh)
+     if(SH)
+        execute_process(COMMAND ${SH} -c
+        "cd ${PROJECT_SOURCE_DIR} && ${PROJECT_SOURCE_DIR}/tools/svn_repo_revision.sh")
+
+        file(RENAME "${PROJECT_SOURCE_DIR}/geos_svn_revision.h"
+        "${PROJECT_BINARY_DIR}/geos_svn_revision.h")
+     else()
+        message("*** sh-compatible command not found, cannot create geos_svn_revision.h")
+        message("*** Check SVN revision and create revision header manually:")
+        message("*** echo '#define GEOS_SVN_REVISION XYZ' > ${PROJECT_SOURCE_DIR}/geos_svn_revision.h")
+     endif()
+  endif()
 endif()
 # End: Determine SVN/Git revision
 
-if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/include/geos/platform.h)
-  message(STATUS "Disabling existing ${CMAKE_CURRENT_SOURCE_DIR}/include/geos/platform.h")
+if(EXISTS ${PROJECT_SOURCE_DIR}/include/geos/platform.h)
+  message(STATUS "Disabling existing ${PROJECT_SOURCE_DIR}/include/geos/platform.h")
 
   if(${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} EQUAL 6)
-    file(REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/include/geos/platform.h)
+    file(REMOVE ${PROJECT_SOURCE_DIR}/include/geos/platform.h)
     set(PH_RESULT "removed")
   else()
     file(RENAME
-      ${CMAKE_CURRENT_SOURCE_DIR}/include/geos/platform.h
-      ${CMAKE_CURRENT_SOURCE_DIR}/include/geos/platform.h.disabled)
+      ${PROJECT_SOURCE_DIR}/include/geos/platform.h
+      ${PROJECT_SOURCE_DIR}/include/geos/platform.h.disabled)
       set(PH_RESULT "renamed")
   endif()
 
-  message(STATUS "Disabling existing ${CMAKE_CURRENT_SOURCE_DIR}/include/geos/platform.h - ${PH_RESULT}")
-endif()
-
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/include/geos/platform.h.cmake 
-  ${CMAKE_CURRENT_BINARY_DIR}/include/geos/platform.h)
-
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/include/geos/version.h.in
-  ${CMAKE_CURRENT_BINARY_DIR}/include/geos/version.h @ONLY)
-
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/capi/geos_c.h.in
-  ${CMAKE_CURRENT_BINARY_DIR}/capi/geos_c.h @ONLY)
+  message(STATUS "Disabling existing ${PROJECT_SOURCE_DIR}/include/geos/platform.h - ${PH_RESULT}")
+endif()
+
+message(STATUS "Generating GEOS ${PROJECT_BINARY_DIR}/include/geos/platform.h")
+configure_file(${PROJECT_SOURCE_DIR}/include/geos/platform.h.cmake
+  ${PROJECT_BINARY_DIR}/include/geos/platform.h)
+
+message(STATUS "Generating GEOS ${PROJECT_BINARY_DIR}/include/geos/version.h")
+configure_file(${PROJECT_SOURCE_DIR}/include/geos/version.h.in
+  ${PROJECT_BINARY_DIR}/include/geos/version.h @ONLY)
+
+message(STATUS "Generating GEOS ${PROJECT_BINARY_DIR}/capi/geos_c.h")
+configure_file(${PROJECT_SOURCE_DIR}/capi/geos_c.h.in
+  ${PROJECT_BINARY_DIR}/capi/geos_c.h @ONLY)
 
 #################################################################################
 # Configure tests
 #################################################################################
 
 if(GEOS_ENABLE_TESTS)
-
- # Include CTest support
- include(CTest)
- enable_testing()
-
+  enable_testing()
   # Define "make check" as alias for "make test"
   add_custom_target(check COMMAND ctest)
-
 endif()
 
 #################################################################################
@@ -331,8 +335,3 @@
 add_subdirectory(tests)
 add_subdirectory(tools)
 
-#################################################################################
-# Install/Uninstall
-#################################################################################
-
-configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"

=== debian/changelog ===
geos (3.5.1-1) unstable; urgency=medium

  * Use dh_install -a instead of deprecated --same-arch option.
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 31 Oct 2016 07:40:32 +0100

geos (3.5.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Remove disabled PHP support, has split off into separate upstream project.
  * Drop ruby build dependency, pulled in via ruby-all-dev.
  * Limit watch file to 3.5.x releases.
  * Drop isnan patches, applied upstream. Refresh remaining patches.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 26 Oct 2016 20:19:25 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,11 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
-#               dh-php,
+               dh-autoreconf,
                doxygen,
-               swig,
-               ruby,
+               pkg-kde-tools,
                ruby-all-dev,
-#               php-dev,
-#               phpunit,
-               chrpath,
-               dh-autoreconf,
-               pkg-kde-tools
+               swig
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/geos.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/geos.git
@@ -37,7 +32,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos-3.5.0 (= ${binary:Version}),
+Depends: libgeos-3.5.1 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -76,7 +71,7 @@
  This package contains the C library. A C++ library is provided
  by the libgeos-* package.
 
-Package: libgeos-3.5.0
+Package: libgeos-3.5.1
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -128,24 +123,12 @@
  .
  This package contains the Ruby bindings for GEOS.
 
-#Package: php-geos
-#Architecture: any
-#Section: web
-#Depends: ${shlibs:Depends},
-#         ${misc:Depends}
-#Description: GEOS bindings for PHP
-# GEOS provides a spatial object model and fundamental geometric
-# functions. It implements the geometry model defined in the
-# OpenGIS Consortium Simple Features Specification for SQL.
-# .
-# This package contains the PHP bindings for GEOS.
-
 Package: libgeos-dbg
 Architecture: any
 Section: debug
 Priority: extra
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libgeos-3.5.0 (= ${binary:Version}),
+Depends: libgeos-3.5.1 (= ${binary:Version}),
          libgeos-c1v5 (= ${binary:Version}),
          ${misc:Depends}
 Description: Debugging symbols for the GEOS library

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,6 @@
 
 # testrunner fails on some architectures
 DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
-
-#PHPAPI=$(shell php-config --phpapi)
 
 # Guessing geos version, which is required for C++ binding support
 VER_MAJOR=$(shell grep ^VERSION_MAJOR configure.*|cut -d= -f2)
@@ -53,7 +51,6 @@
 		--host=$(DEB_HOST_GNU_TYPE) \
         	--build=$(DEB_BUILD_GNU_TYPE) \
         	--enable-ruby \
-        	--disable-php \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
 		$(CONFFLAGS) \
@@ -78,23 +75,13 @@
 	rm -f debian/tmp/usr/include/geos.h
 	find debian/tmp/usr/include/geos -name "*.inl" -delete
 
-	# install PHP module to version specific directory
-	#echo 'misc:Depends=phpapi-'$(PHPAPI) >> debian/php-geos.substvars
-
-	# TODO: Use dh_php to install geos.ini
-	#-mkdir -p debian/tmp/etc/php/7.0/mods-available/
-	#install -m644 debian/geos.ini debian/tmp/etc/php/7.0/mods-available/
-
-	# Strip RPATH
-	#chrpath --delete debian/tmp/usr/lib/php/*/geos.so
-
 	# Remove .la files
 	find debian/tmp/usr/lib -name '*.la' -delete
 
 	# Remove static library for Ruby
 	rm -f debian/tmp/usr/lib/*/ruby/*/*/*.a
 
-	dh_install --same-arch --list-missing
+	dh_install -a --list-missing
 
 	# remove the library from the -dev package
 	rm -f $(CURDIR)/debian/libgeos-dev/usr/lib/*/libgeos-*.so

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/ \
http://download.osgeo.org/geos \
(?:|.*/)geos-(?:[_\-]v?|)(3\.5\.\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
